NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.CAM.BoundarySetWireEDM Class Reference

Represents a boundary set for wire EDM More...

Inheritance diagram for NXOpen.CAM.BoundarySetWireEDM:
NXOpen.CAM.BoundarySet NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AddTopFace (NXOpen.TaggedObject face, NXOpen.Point3d pickPoint)
 Create a top face boundary More...
 
unsafe void AppendCurvesToWireframe (NXOpen.NXObject[] curves, NXOpen.Point3d pickPoint, NXOpen.Matrix3x3 matrix)
 Add curves to the wireframe boundary More...
 
unsafe void AppendSideFaces (NXOpen.TaggedObject[] faces, NXOpen.Point3d pickPoint)
 Append faces to a side face boundary More...
 
unsafe
NXOpen.CAM.BoundaryMemberSetWireEDM 
CreateBoundaryMemberSetWireEdm ()
 Create an empty custom member data set for a wire EDM boundary More...
 
unsafe void RemoveCurvesFromWireframe (NXOpen.NXObject[] curves)
 Remove curves from the wireframe boundary More...
 
unsafe void RemoveSideFace (NXOpen.TaggedObject face)
 Remove a face to a side face boundary More...
 
- Public Member Functions inherited from NXOpen.CAM.BoundarySet
unsafe void AppendCurves (NXOpen.NXObject[] curves, NXOpen.Point3d pickPoint, NXOpen.Matrix3x3 matrix)
 Add curves to the boundary More...
 
unsafe NXOpen.CAM.BoundaryMemberSet CreateBoundaryMemberSet ()
 Create an empty boundary member set More...
 
unsafe void RemoveCurves (NXOpen.NXObject[] curves)
 Remove curves from the boundary More...
 
unsafe void SynchronizePlanes (NXOpen.CAM.BoundarySet sourceSet)
 Copy the plane definition from the given boundary set More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAM.WedmCustomBoundaryDataBuilder 
ControlPoints [get]
 Returns the control points More...
 
unsafe bool CustomStock [get, set]
 Returns or sets the flag whether this boundary has custom stock activated More...
 
unsafe bool CustomTaperAngle [get, set]
 Returns or sets the flag whether this boundary has custom taper angle activated More...
 
unsafe bool CustomTolerances [get, set]
 Returns or sets the flag whether this boundary has custom tolerances More...
 
unsafe double InTolerance [get, set]
 Returns or sets the in tolerance value More...
 
unsafe double OutTolerance [get, set]
 Returns or sets the out tolerance value More...
 
unsafe double Stock [get, set]
 Returns or sets the stock value More...
 
unsafe double TaperAngle [get, set]
 Returns or sets the taper angle value More...
 
- Properties inherited from NXOpen.CAM.BoundarySet
unsafe
NXOpen.CAM.BoundaryMemberSetList 
BoundaryMemberList [get]
 Returns the boundary member list More...
 
unsafe
NXOpen.CAM.BoundarySet.BoundaryTypes 
BoundaryType [get, set]
 Returns or sets the boundary type More...
 
unsafe bool CustomOffset [get, set]
 Returns or sets the flag whether this boundary has custom offset activated More...
 
unsafe double Offset [get, set]
 Returns or sets the offset value More...
 
unsafe NXOpen.CAM.ParamValueIntent OffsetIntent [get, set]
 Returns or sets the offset intent More...
 
unsafe NXOpen.Plane Plane [get, set]
 Returns or sets the boundary plane More...
 
unsafe
NXOpen.CAM.BoundarySet.PlaneTypes 
PlaneType [get, set]
 Returns or sets the boundary plane type More...
 
unsafe
NXOpen.SelectTaggedObjectList 
PointList [get]
 Returns the points list More...
 
unsafe NXOpen.SelectTaggedObject SelectObject [get]
 Returns the select object More...
 
unsafe
NXOpen.CAM.BoundarySet.ToolPositionTypes 
ToolPosition [get, set]
 Returns or sets the tool position More...
 
unsafe
NXOpen.CAM.BoundarySet.ToolSideTypes 
ToolSide [get, set]
 Returns or sets the tool side More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.CAM.BoundarySet
enum  BoundaryTypes { Closed, Open }
 the boundary types More...
 
enum  PlaneTypes { Automatic, UserDefined }
 the boundary plane types More...
 
enum  ToolPositionTypes { On, Contact }
 the tool position More...
 
enum  ToolSideTypes { InsideOrLeft, OutsideOrRight }
 the tool side types More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a boundary set for wire EDM

To create a new instance of this class, use NXOpen.CAM.Boundary.CreateBoundarySetWireEdm

Created in NX12.0.1

Member Function Documentation

unsafe void NXOpen.CAM.BoundarySetWireEDM.AddTopFace ( NXOpen.TaggedObject  face,
NXOpen.Point3d  pickPoint 
)
inline

Create a top face boundary

Created in NX12.0.1

License requirements: cam_base ("CAM BASE")

Parameters
facethe top face to create boundary
pickPointthe pick point on the top face to determine the closest edge
unsafe void NXOpen.CAM.BoundarySetWireEDM.AppendCurvesToWireframe ( NXOpen.NXObject[]  curves,
NXOpen.Point3d  pickPoint,
NXOpen.Matrix3x3  matrix 
)
inline

Add curves to the wireframe boundary

Created in NX12.0.1

License requirements: cam_base ("CAM BASE")

Parameters
curvesthe curves
pickPointthe pick point (start point on first member)
matrixthe view matrix
unsafe void NXOpen.CAM.BoundarySetWireEDM.AppendSideFaces ( NXOpen.TaggedObject[]  faces,
NXOpen.Point3d  pickPoint 
)
inline

Append faces to a side face boundary

Created in NX12.0.1

License requirements: cam_base ("CAM BASE")

Parameters
facesthe faces
pickPointthe pick point on the side face
unsafe NXOpen.CAM.BoundaryMemberSetWireEDM NXOpen.CAM.BoundarySetWireEDM.CreateBoundaryMemberSetWireEdm ( )
inline

Create an empty custom member data set for a wire EDM boundary

Created in NX12.0.1

License requirements: cam_base ("CAM BASE")

Returns
unsafe void NXOpen.CAM.BoundarySetWireEDM.RemoveCurvesFromWireframe ( NXOpen.NXObject[]  curves)
inline

Remove curves from the wireframe boundary

Created in NX12.0.1

License requirements: cam_base ("CAM BASE")

Parameters
curvesthe curves
unsafe void NXOpen.CAM.BoundarySetWireEDM.RemoveSideFace ( NXOpen.TaggedObject  face)
inline

Remove a face to a side face boundary

Created in NX12.0.1

License requirements: cam_base ("CAM BASE")

Parameters
facethe side face to be removed

Property Documentation

unsafe NXOpen.CAM.WedmCustomBoundaryDataBuilder NXOpen.CAM.BoundarySetWireEDM.ControlPoints
get

Returns the control points

Created in NX12.0.1

License requirements: None.

unsafe bool NXOpen.CAM.BoundarySetWireEDM.CustomStock
getset

Returns or sets the flag whether this boundary has custom stock activated

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe bool NXOpen.CAM.BoundarySetWireEDM.CustomTaperAngle
getset

Returns or sets the flag whether this boundary has custom taper angle activated

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe bool NXOpen.CAM.BoundarySetWireEDM.CustomTolerances
getset

Returns or sets the flag whether this boundary has custom tolerances

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.BoundarySetWireEDM.InTolerance
getset

Returns or sets the in tolerance value

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.BoundarySetWireEDM.OutTolerance
getset

Returns or sets the out tolerance value

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.BoundarySetWireEDM.Stock
getset

Returns or sets the stock value

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.BoundarySetWireEDM.TaperAngle
getset

Returns or sets the taper angle value

Created in NX12.0.2

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.